#!/bin/sh
#script to install all files in update folder to proper locations in Toradex VF61 Armstrong Linux system
#existing files must be deleted first so new files can replace them
#html/public files
rm /home/root/html/public/index.html
mv /home/root/update/html/public/index.html /home/root/html/public
rm /home/root/html/public/common.css
mv /home/root/update/html/public/common.css /home/root/html/public
#html files
rm /home/root/html/flashrate.html
mv /home/root/update/html/flashrate.html /home/root/html
rm /home/root/html/livestatus.html
mv /home/root/update/html/livestatus.html /home/root/html
rm /home/root/html/printsetup.html
mv /home/root/update/html/printsetup.html /home/root/html
rm /home/root/html/setupmenu.html
mv /home/root/update/html/setupmenu.html /home/root/html
rm /home/root/html/transfermenu.html
mv /home/root/update/html/transfermenu.html /home/root/html
rm /home/root/html/view.html
mv /home/root/update/html/view.html /home/root/html
rm /home/root/html/diagmenu.html
mv /home/root/update/html/diagmenu.html /home/root/html
rm /home/root/html/diagrelay.html
mv /home/root/update/html/diagrelay.html /home/root/html
rm /home/root/html/diagping.html
mv /home/root/update/html/diagping.html /home/root/html
#files in home used by web server
rm /home/root/editac.html1
mv /home/root/update/editac.html1 /home/root
rm /home/root/edital.html1
mv /home/root/update/edital.html1 /home/root
rm /home/root/editdt.html1
mv /home/root/update/editdt.html1 /home/root
rm /home/root/editen.html1
mv /home/root/update/editen.html1 /home/root
rm /home/root/editgd.html1
mv /home/root/update/editgd.html1 /home/root
rm /home/root/editht.html1
mv /home/root/update/editht.html1 /home/root
rm /home/root/editin.html1
mv /home/root/update/editin.html1 /home/root
rm /home/root/editnw.html1
mv /home/root/update/editnw.html1 /home/root
rm /home/root/editreset.html1
mv /home/root/update/editreset.html1 /home/root
rm /home/root/editsp.html1
mv /home/root/update/editsp.html1 /home/root
rm /home/root/editsy.html1
mv /home/root/update/editsy.html1 /home/root
rm /home/root/edittd.html1
mv /home/root/update/edittd.html1 /home/root
rm /home/root/editti.html1
mv /home/root/update/editti.html1 /home/root
rm /home/root/editvi.html1
mv /home/root/update/editvi.html1 /home/root
rm /home/root/editvi.html1r
mv /home/root/update/editvi.html1r /home/root
rm /home/root/mainmenu.html1
mv /home/root/update/mainmenu.html1 /home/root
rm /home/root/mainmenu.html2
mv /home/root/update/mainmenu.html2 /home/root
rm /home/root/query.html1
mv /home/root/update/query.html1 /home/root
rm /home/root/browse.html1
mv /home/root/update/browse.html1 /home/root
rm /home/root/browse.html2
mv /home/root/update/browse.html2 /home/root
rm /home/root/redirect.html1
mv /home/root/update/redirect.html1 /home/root
rm /home/root/redirect.html2
mv /home/root/update/redirect.html2 /home/root
rm /home/root/setupdl.html
mv /home/root/update/setupdl.html /home/root
rm /home/root/setupul.html
mv /home/root/update/setupul.html /home/root
rm /home/root/softwareul.html
mv /home/root/update/softwareul.html /home/root
rm /home/root/diagtemp.html1
mv /home/root/update/diagtemp.html1 /home/root
rm /home/root/diaghealth.html1
mv /home/root/update/diaghealth.html1 /home/root
rm /home/root/diaggps.html1
mv /home/root/update/diaggps.html1 /home/root
#setup files (default only, don't touch setup.txt)
#rm /home/root/setup.txt
#mv /home/root/update/setup.txt /home/root
rm /home/root/defaultsetup.txt
mv /home/root/update/defaultsetup.txt /home/root
#the application itself
rm /home/root/cwr24b
mv /home/root/update/cwr24b /home/root
#files to start service
rm /etc/systemd/system/cwr24b.service
mv /home/root/update/cwr24b.service /etc/systemd/system
#files for M4 core and rmpsg_tty driver
rm /lib/firmware/cwr24bm4.elf
mv /home/root/update/cwr24bm4.elf /lib/firmware
rm /etc/modules-load.d/vf610_cm4_rproc.conf
mv /home/root/update/vf610_cm4_rproc.conf /etc/modules-load.d
rm /etc/modules-load.d/rpmsg_tty.conf
mv /home/root/update/rpmsg_tty.conf /etc/modules-load.d
#create link to M4 core application
rm /lib/firmware/freertos-rpmsg.elf
ln -s /lib/firmware/cwr24bm4.elf /lib/firmware/freertos-rpmsg.elf
#don't run cwr72b any more!
systemctl disable cwr72b.service
rm /home/root/cwr72b
#reload possibly new cwr24b.service file
systemctl --system daemon-reload
#make sure service is enabled
systemctl enable cwr24b.service

